## audit 3.0.7

=== debian/changelog ===
audit (1:3.0.7-1build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 17 Mar 2022 18:50:40 +0100

audit (1:3.0.7-1) unstable; urgency=medium

  * New upstream version 3.0.7
    - debian/libaudit1.symbols: audit_add_dir has been dropped upstream
  * debian/control: Tighten the dependencies against the libraries
  * debian/control: Drop the Built-Using field from golang-redhat-audit-dev

 -- Laurent Bigonville <bigon@debian.org>  Fri, 11 Feb 2022 11:34:48 +0100

audit (1:3.0.6-1) unstable; urgency=medium

  * New upstream version 3.0.6
  * debian/control: Bump Standards-Version to 4.6.0 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Sat, 09 Oct 2021 11:45:31 +0200

audit (1:3.0.5-1) unstable; urgency=medium

  [ Helmut Grohne ]
  * Drop unused intltool build dependency. (Closes: #981262)

  [ Laurent Bigonville ]
  * New upstream version 3.0.5
    - debian/libauparse0.symbols: Add new exported symbols
  * Drop d/p/0004-Turn-libaucommon-into-a-libtool-convenience-library-.patch,
    merged upstream

 -- Laurent Bigonville <bigon@debian.org>  Mon, 16 Aug 2021 11:22:57 +0200

=== debian/control ===
Source: audit
Priority: optional
Maintainer: Laurent Bigonville <bigon@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-python <!nopython>,
#               dh-golang,
               dpkg-dev (>= 1.16.1~),
               libcap-ng-dev,
# audit sources embed their own patched version of libev
#               libev-dev,
               libkrb5-dev,
               libldap2-dev <!pkg.audit.noldap>,
               libwrap0-dev,
               linux-libc-dev (>= 5.9~),
               python3-all-dev:any <!nopython>,
               libpython3-all-dev <!nopython>,
               swig
Build-Depends-Indep: golang-go
Standards-Version: 4.6.0
Section: libs
Homepage: https://people.redhat.com/sgrubb/audit/
Vcs-Git: https://salsa.debian.org/debian/audit.git
Vcs-Browser: https://salsa.debian.org/debian/audit
Rules-Requires-Root: binary-targets

Package: auditd
Section: admin
Architecture: linux-any
Depends: libaudit1 (= ${binary:Version}),
         libauparse0 (= ${binary:Version}),
         lsb-base (>= 3.0-6),
         mawk | gawk,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: audispd-plugins
Breaks: audispd-plugins (<< 1:3.0~)
Pre-Depends: ${misc:Pre-Depends}
Description: User space tools for security auditing
 The audit package contains the user space utilities for
 storing and searching the audit records generated by
 the audit subsystem in the Linux 2.6 kernel.
 .
 Also contains the audit dispatcher "audisp".

Package: libauparse0
Architecture: linux-any
Pre-Depends: ${misc:Pre-Depends}
Depends: libaudit1 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: Dynamic library for parsing security auditing
 The libauparse package contains the dynamic libraries needed for
 applications to use the audit framework. It is used to monitor systems for
 security related events.
 .
 This package contains the libauparse0 library.

Package: libauparse-dev
Section: libdevel
Architecture: linux-any
Depends: libauparse0 (= ${binary:Version}), ${misc:Depends}
Multi-arch: same
Description: Header files and static library for the libauparse0 library
 The audit-libs parse package contains the dynamic libraries needed for
 applications to use the audit framework. It is used to monitor systems for
 security related events.

Package: libaudit1
Architecture: linux-any
Pre-Depends: ${misc:Pre-Depends}
Depends: libaudit-common (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Multi-Arch: same
Description: Dynamic library for security auditing
 The audit-libs package contains the dynamic libraries needed for
 applications to use the audit framework. It is used to monitor systems for
 security related events.

Package: libaudit-common
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: Dynamic library for security auditing - common files
 The audit-libs package contains the dynamic libraries needed for
 applications to use the audit framework. It is used to monitor systems for
 security related events.
 .
 This package contains the libaudit.conf configuration file and the associated
 manpage.

Package: libaudit-dev
Section: libdevel
Architecture: linux-any
Depends: libaudit1 (= ${binary:Version}), libcap-ng-dev, ${misc:Depends}
Multi-arch: same
Description: Header files and static library for security auditing
 The audit-libs-devel package contains the static libraries and header
 files needed for developing applications that need to use the audit
 framework libraries.

Package: python3-audit
Section: python
Architecture: linux-any
Depends: libaudit1 (= ${binary:Version}),
         libauparse0 (= ${binary:Version}),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Provides: ${python3:Provides}
Build-Profiles: <!nopython>
Description: Python3 bindings for security auditing
 The package contains the Python3 bindings for libaudit and libauparse, which
 are used to monitor systems for security related events. Python can be used to
 parse and process the security event messages.

Package: golang-redhat-audit-dev
Section: devel
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: Go client bindings for the libaudit library
 The package contains the Go bindings to libaudit that only allows for logging
 audit events.
 .
 This package contains the source.

Package: audispd-plugins
Section: admin
Architecture: linux-any
Depends: auditd (= ${binary:Version}),
         libauparse0 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Build-Profiles: <!pkg.audit.noldap>
Description: Plugins for the audit event dispatcher
 The audispd-plugins package provides plugins for the real-time
 interface to the audit system, audispd. These plugins can do things
 like relay events to remote machines or analyze events for suspicious
 behavior.

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/architecture.mk

LDFLAGS += -Wl,--as-needed
DH_ADDONS =
CONFIGURE_FLAGS =

ifeq ($(filter nopython,$(DEB_BUILD_PROFILES)),)
# For building bindings/swig/ and bindings/python/ for all Python version, these directories are cloned and build in addition to the main library
PY3DEFAULTVER := $(shell py3versions --default --version)
PY3VERS := $(shell py3versions --requested --version debian/control)
PY3VERS := $(filter-out $(PY3DEFAULTVER), $(PY3VERS))
CONFIGURE_FLAGS += --without-python --with-python3
DH_ADDONS += --with python3
else
CONFIGURE_FLAGS += --without-python --without-python3
endif

ifneq ($(filter pkg.audit.noldap,$(DEB_BUILD_PROFILES)),)
  CONFIGURE_FLAGS += --disable-zos-remote
endif

# Merge the last remaining Ubuntu specific change in Debian:
# Disable auditd network listener to reduce the risk of a remote attack on
# auditd, which runs as root
ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo yes), yes)
  CONFIGURE_FLAGS += --disable-listener
endif

%:
	dh $@ --builddirectory=debian/build --buildsystem=autoconf $(DH_ADDONS)

override_dh_auto_configure: debian/config-python-stamp $(PY3VERS:%=debian/config-python3-%-stamp)
debian/config-python-stamp:
	dh_testdir
# We should also have "--with-golang" but it's not available in all arch and
# the golang binding package is arch:all anyway.
	dh_auto_configure -- \
		--sbindir=/sbin \
		--libdir=/lib/${DEB_HOST_MULTIARCH} \
		--enable-shared=audit \
		--enable-gssapi-krb5 \
		--with-apparmor \
		--with-libwrap \
		--with-libcap-ng \
		$(CONFIGURE_FLAGS) \
		--with-arm --with-aarch64 ${EXTRA_ARCH_TABLE}
	touch $@
debian/config-python3-%-stamp: debian/config-python-stamp
	cp -lpr debian/build/bindings/swig   debian/build/bindings/swig3.$*
	cp -lpr debian/build/bindings/python debian/build/bindings/python3.$*
	touch $@

override_dh_auto_clean:
	$(RM) debian/*-stamp
	dh_auto_clean

override_dh_auto_build: debian/build-python-stamp $(PY3VERS:%=debian/build-python3-%-stamp)
debian/build-python-stamp: debian/config-python-stamp
	dh_testdir
	dh_auto_build
	touch $@
debian/build-python3-%-stamp: debian/config-python3-%-stamp debian/build-python-stamp
	PYTHON=/usr/bin/python$* $(MAKE) -C debian/build/bindings/swig3.$*/python3   py3execdir=/usr/lib/python$*/dist-packages \
	    PYTHON3_CFLAGS="$(shell python$*-config --cflags 2> /dev/null)" PYTHON3_LIBS="$(shell python$*-config --libs 2> /dev/null)" PYTHON3_INCLUDES="$(shell python$*-config --includes 2> /dev/null)"
	PYTHON=/usr/bin/python$* $(MAKE) -C debian/build/bindings/python3.$*/python3 py3execdir=/usr/lib/python$*/dist-packages \
	    PYTHON3_CFLAGS="$(shell python$*-config --cflags 2> /dev/null)" PYTHON3_LIBS="$(shell python$*-config --libs 2> /dev/null)" PYTHON3_INCLUDES="$(shell python$*-config --includes 2> /dev/null)"
	touch $@

debian/install-python-stamp: debian/build-python-stamp
	dh_testdir
	dh_auto_install --sourcedir=debian/build --destdir=debian/tmp
	touch $@
debian/install-python3-%-stamp: debian/build-python3-%-stamp debian/install-python-stamp
	PYTHON=/usr/bin/python$* $(MAKE) -C debian/build/bindings/swig3.$*/python3   py3execdir=/usr/lib/python$*/dist-packages DESTDIR=$(CURDIR)/debian/tmp install \
	    PYTHON3_CFLAGS="$(shell python$*-config --cflags 2> /dev/null)" PYTHON3_LIBS="$(shell python$*-config --libs 2> /dev/null)" PYTHON3_INCLUDES="$(shell python$*-config --includes 2> /dev/null)"
	PYTHON=/usr/bin/python$* $(MAKE) -C debian/build/bindings/python3.$*/python3 py3execdir=/usr/lib/python$*/dist-packages DESTDIR=$(CURDIR)/debian/tmp install \
	    PYTHON3_CFLAGS="$(shell python$*-config --cflags 2> /dev/null)" PYTHON3_LIBS="$(shell python$*-config --libs 2> /dev/null)" PYTHON3_INCLUDES="$(shell python$*-config --includes 2> /dev/null)"
	touch $@
override_dh_auto_install: debian/install-python-stamp $(PY3VERS:%=debian/install-python3-%-stamp)
	# Remove some RedHat specific files
	$(RM) debian/tmp/etc/rc.d/init.d/auditd
	$(RM) debian/tmp/etc/sysconfig/auditd

	# Move the development library to /usr/lib
	$(RM) debian/tmp/lib/${DEB_HOST_MULTIARCH}/libaudit.so
	$(RM) debian/tmp/lib/${DEB_HOST_MULTIARCH}/libauparse.so

	# Install the default configuration
	install -o root -g root -m 0750 -d debian/tmp/etc/audit/rules.d/
	install -o root -g root -m 0640 rules/10-base-config.rules debian/tmp/etc/audit/rules.d/audit.rules

	mkdir -p debian/tmp/usr/lib/${DEB_HOST_MULTIARCH}/

	ln -s /lib/${DEB_HOST_MULTIARCH}/libaudit.so.1.0.0 \
		debian/tmp/usr/lib/${DEB_HOST_MULTIARCH}/libaudit.so
	ln -s /lib/${DEB_HOST_MULTIARCH}/libauparse.so.0.0.0 \
		debian/tmp/usr/lib/${DEB_HOST_MULTIARCH}/libauparse.so

	mv debian/tmp/lib/${DEB_HOST_MULTIARCH}/libaudit.a \
		debian/tmp/usr/lib/${DEB_HOST_MULTIARCH}/libaudit.a
	mv debian/tmp/lib/${DEB_HOST_MULTIARCH}/libauparse.a \
		debian/tmp/usr/lib/${DEB_HOST_MULTIARCH}/libauparse.a

	mkdir -p debian/tmp/usr/lib/${DEB_HOST_MULTIARCH}/pkgconfig/

	mv debian/tmp/lib/${DEB_HOST_MULTIARCH}/pkgconfig/audit.pc \
		debian/tmp/usr/lib/${DEB_HOST_MULTIARCH}/pkgconfig/audit.pc
	mv debian/tmp/lib/${DEB_HOST_MULTIARCH}/pkgconfig/auparse.pc \
		debian/tmp/usr/lib/${DEB_HOST_MULTIARCH}/pkgconfig/auparse.pc

override_dh_installexamples:
	dh_installexamples -XMakefile

override_dh_installlogrotate:
	# auditd has a equivalent built-in feature

override_dh_installinit:
	dh_installinit --restart-after-upgrade

override_dh_fixperms-arch:
	dh_fixperms -a
	#chmod o-wx debian/auditd/usr/bin/aulastlog
	#chmod o-wx debian/auditd/sbin/auditctl
	#chmod o-wx debian/auditd/sbin/auditd
	#chmod o-wx debian/auditd/sbin/autrace
	#chmod 750 debian/auditd/sbin/audispd
	chmod -R o-rwx debian/auditd/var/log/audit
	chgrp adm debian/auditd/var/log/audit
	chmod -R o-rwx debian/auditd/etc/audit debian/audispd-plugins/etc/audit

get-orig-source:
	-uscan --upstream-version 0

my-check:
	find debian/*aud*/ -mindepth 0 -name DEBIAN -prune -o -not -type d -print|sed -e 's,debian/[^/]*/,,' -e 's/\.gz$$//'

=== debian/watch ===
version=4

opts="uversionmangle=s/-(alpha)/~$1/" \
https://people.redhat.com/sgrubb/audit/ audit-@ANY_VERSION@@ARCHIVE_EXT@

## audit 3.0.9

=== debian/changelog ===
audit (1:3.0.9-1) unstable; urgency=medium

  * Add missing debian/changelog entry
  * New upstream version 3.0.9
  * debian/patches/01-no-refusemanualstop.patch: Refreshed
  * Fix some lintian overrides
  * debian/control: Move golang-redhat-audit-dev to golang section
  * debian/control: Drop lsb-base package as it's deprecated
  * debian/tests: Use the "supported" python3 version and not the "requested"
    one. That will please lintian
  * debian/control: Bump Standards-Version to 4.6.2 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Thu, 09 Feb 2023 10:36:04 +0100

audit (1:3.0.7-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  [ Paul Gevers ]
  * d/p/04-auditswig-i-avoid-setter-generation-for-audit-rule-data.patch:
    Fix FTBFS by backporting proposed patch from upstream to avoid
    generating setters for audit_rule_data::buf in SWIG bindings as SWIG
    fails to properly generate correct code now that the kernel headers
    use flexible-length arrays. This patch has not been merged upstream
    since their preferred fix is to rewrite the python bindings to not use
    SWIG. Other distributions have worked around this by patching the
    header files from the kernel when building audit to temporarily remove
    the flexible-length array. However its use will be buggy when used
    against a kernel header that expects a flexible-length array (as is
    the case for the previous version of audit). (Thanks to Alex Murray)
    (Closes: #1010289)

  [ Laurent Bigonville ]
  * debian/: Fix some typo and capitalisation errors

 -- Paul Gevers <elbrus@debian.org>  Tue, 20 Sep 2022 21:05:52 +0200

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                libpython3-all-dev <!nopython>,
                swig
 Build-Depends-Indep: golang-go
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Section: libs
 Homepage: https://people.redhat.com/sgrubb/audit/
 Vcs-Git: https://salsa.debian.org/debian/audit.git
@@ -28,7 +28,6 @@
 Architecture: linux-any
 Depends: libaudit1 (= ${binary:Version}),
          libauparse0 (= ${binary:Version}),
-         lsb-base (>= 3.0-6),
          mawk | gawk,
          ${misc:Depends},
          ${shlibs:Depends}
@@ -58,7 +57,7 @@
 Section: libdevel
 Architecture: linux-any
 Depends: libauparse0 (= ${binary:Version}), ${misc:Depends}
-Multi-arch: same
+Multi-Arch: same
 Description: Header files and static library for the libauparse0 library
  The audit-libs parse package contains the dynamic libraries needed for
  applications to use the audit framework. It is used to monitor systems for
@@ -92,7 +91,7 @@
 Section: libdevel
 Architecture: linux-any
 Depends: libaudit1 (= ${binary:Version}), libcap-ng-dev, ${misc:Depends}
-Multi-arch: same
+Multi-Arch: same
 Description: Header files and static library for security auditing
  The audit-libs-devel package contains the static libraries and header
  files needed for developing applications that need to use the audit
@@ -114,7 +113,7 @@
  parse and process the security event messages.
 
 Package: golang-redhat-audit-dev
-Section: devel
+Section: golang
 Architecture: all
 Depends: ${misc:Depends}
 Multi-Arch: foreign

## audit 3.1.1

=== debian/changelog ===
audit (1:3.1.1-1) unstable; urgency=medium

  [ Christian Göttsche ]
  * Bump to debhelper compat level 13

  [ Laurent Bigonville ]
  * New upstream release
    - debian/patches/02-restorecon-path.patch: Refresh 
    - debian/auditd.install: Install new audisp-af_unix executable
    - debian/libaudit1.symbols: Add newly exported symbols
  * debian/patches/03-Set-log_group-adm.patch: Tag as Forwarded: not-needed

 -- Laurent Bigonville <bigon@debian.org>  Mon, 10 Jul 2023 10:19:11 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: audit
 Priority: optional
 Maintainer: Laurent Bigonville <bigon@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python <!nopython>,
 #               dh-golang,
                dpkg-dev (>= 1.16.1~),

## audit 3.1.2

=== debian/changelog ===
audit (1:3.1.2-2) unstable; urgency=medium

  [ Chris Hofstaedtler ]
  * Install aliased files into canonical locations in /usr. (DEP17 M2)
    (Closes: #1060167)

 -- Laurent Bigonville <bigon@debian.org>  Wed, 24 Jan 2024 16:05:18 +0100

audit (1:3.1.2-1) unstable; urgency=medium

  [ Christian Göttsche ]
  * d/rules: enable io_uring support
  * d/changelog: fix typos

  [ Laurent Bigonville ]
  * New upstream release
    - d/p/04-auditswig-i-avoid-setter-generation-for-audit-rule-data.patch:
      Dropped, applied upstream
  * debian/control: Switch BD from golang-go to golang-any (Closes: #1030940)

 -- Laurent Bigonville <bigon@debian.org>  Wed, 06 Dec 2023 20:15:29 +0100

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                python3-all-dev:any <!nopython>,
                libpython3-all-dev <!nopython>,
                swig
-Build-Depends-Indep: golang-go
+Build-Depends-Indep: golang-any
 Standards-Version: 4.6.2
 Section: libs
 Homepage: https://people.redhat.com/sgrubb/audit/

=== debian/rules ===
--- 
+++ 
@@ -39,13 +39,13 @@
 # We should also have "--with-golang" but it's not available in all arch and
 # the golang binding package is arch:all anyway.
 	dh_auto_configure -- \
-		--sbindir=/sbin \
-		--libdir=/lib/${DEB_HOST_MULTIARCH} \
+		--libdir=/usr/lib/${DEB_HOST_MULTIARCH} \
 		--enable-shared=audit \
 		--enable-gssapi-krb5 \
 		--with-apparmor \
 		--with-libwrap \
 		--with-libcap-ng \
+		--with-io_uring \
 		$(CONFIGURE_FLAGS) \
 		--with-arm --with-aarch64 ${EXTRA_ARCH_TABLE}
 	touch $@
@@ -85,32 +85,9 @@
 	$(RM) debian/tmp/etc/rc.d/init.d/auditd
 	$(RM) debian/tmp/etc/sysconfig/auditd
 
-	# Move the development library to /usr/lib
-	$(RM) debian/tmp/lib/${DEB_HOST_MULTIARCH}/libaudit.so
-	$(RM) debian/tmp/lib/${DEB_HOST_MULTIARCH}/libauparse.so
-
 	# Install the default configuration
 	install -o root -g root -m 0750 -d debian/tmp/etc/audit/rules.d/
 	install -o root -g root -m 0640 rules/10-base-config.rules debian/tmp/etc/audit/rules.d/audit.rules
-
-	mkdir -p debian/tmp/usr/lib/${DEB_HOST_MULTIARCH}/
-
-	ln -s /lib/${DEB_HOST_MULTIARCH}/libaudit.so.1.0.0 \
-		debian/tmp/usr/lib/${DEB_HOST_MULTIARCH}/libaudit.so
-	ln -s /lib/${DEB_HOST_MULTIARCH}/libauparse.so.0.0.0 \
-		debian/tmp/usr/lib/${DEB_HOST_MULTIARCH}/libauparse.so
-
-	mv debian/tmp/lib/${DEB_HOST_MULTIARCH}/libaudit.a \
-		debian/tmp/usr/lib/${DEB_HOST_MULTIARCH}/libaudit.a
-	mv debian/tmp/lib/${DEB_HOST_MULTIARCH}/libauparse.a \
-		debian/tmp/usr/lib/${DEB_HOST_MULTIARCH}/libauparse.a
-
-	mkdir -p debian/tmp/usr/lib/${DEB_HOST_MULTIARCH}/pkgconfig/
-
-	mv debian/tmp/lib/${DEB_HOST_MULTIARCH}/pkgconfig/audit.pc \
-		debian/tmp/usr/lib/${DEB_HOST_MULTIARCH}/pkgconfig/audit.pc
-	mv debian/tmp/lib/${DEB_HOST_MULTIARCH}/pkgconfig/auparse.pc \
-		debian/tmp/usr/lib/${DEB_HOST_MULTIARCH}/pkgconfig/auparse.pc
 
 override_dh_installexamples:
 	dh_installexamples -XMakefile
@@ -124,10 +101,10 @@
 override_dh_fixperms-arch:
 	dh_fixperms -a
 	#chmod o-wx debian/auditd/usr/bin/aulastlog
-	#chmod o-wx debian/auditd/sbin/auditctl
-	#chmod o-wx debian/auditd/sbin/auditd
-	#chmod o-wx debian/auditd/sbin/autrace
-	#chmod 750 debian/auditd/sbin/audispd
+	#chmod o-wx debian/auditd/usr/sbin/auditctl
+	#chmod o-wx debian/auditd/usr/sbin/auditd
+	#chmod o-wx debian/auditd/usr/sbin/autrace
+	#chmod 750 debian/auditd/usr/sbin/audispd
 	chmod -R o-rwx debian/auditd/var/log/audit
 	chgrp adm debian/auditd/var/log/audit
 	chmod -R o-rwx debian/auditd/etc/audit debian/audispd-plugins/etc/audit

## audit 4.0.1

=== debian/changelog ===
audit (1:4.0.1-3) unstable; urgency=medium

  * Drop debian/patches/02-restorecon-path.patch, restorecon is in /usr now
  * d/tests/954257-regression: Fix the test, python module has removed API

 -- Laurent Bigonville <bigon@debian.org>  Mon, 04 Nov 2024 13:46:34 +0100

audit (1:4.0.1-2) unstable; urgency=medium

  * debian/auditd.NEWS: Fix typo
  * Fix the test causing the FTBFS.
    Detect at runtime the user with the UID42 (Closes: #1078810)

 -- Laurent Bigonville <bigon@debian.org>  Wed, 30 Oct 2024 20:23:54 +0100

audit (1:4.0.1-1) unstable; urgency=medium

  * New upstream version 4.0.1
  * debian/patches/01-no-refusemanualstop.patch: Refreshed
  * d/p/test_fix_gdm_uid.patch: Fix the test as we don't have a fixed UID for
    the gdm user
  * Fix issue with installation of the swig binding when python binary is not
    installed
  * debian/auditd.install: Remove auvirt and autrace, dropped upstream
  * debian/auditd.install: Ship new audisp-filter plugin
  * debian/not-installed: Do not ship these legacy-actions initscripts
  * d/libaudit-dev.install: Ship audit-records.h and audit_logging.h in the
    -dev package
  * Adjust the symbols files
  * debian/control: Bump Standards-Version to 4.7.0 (no further changes)
  * Adjust some of the installed files due to upstream changes in the build
    system

 -- Laurent Bigonville <bigon@debian.org>  Fri, 09 Aug 2024 11:04:10 +0200

audit (1:3.1.2-4) unstable; urgency=medium

  * debian/clean: Do not remove debian/libauparse0t64.preinst, that file is
    not generated by debian/rules anymore, but by debhelper itself

 -- Laurent Bigonville <bigon@debian.org>  Tue, 11 Jun 2024 08:32:32 +0200

audit (1:3.1.2-3) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix piuparts failure arising from /usr-move mitigation. (Closes: #1070327)

 -- Laurent Bigonville <bigon@debian.org>  Mon, 10 Jun 2024 19:07:26 +0200

audit (1:3.1.2-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1061926

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 03:02:13 +0000

=== debian/rules ===
--- 
+++ 
@@ -30,12 +30,20 @@
   CONFIGURE_FLAGS += --disable-listener
 endif
 
+UID42 = $(shell LC_ALL=C id -un 42 2>/dev/null || echo 'unknown\(42\)')
+
 %:
 	dh $@ --builddirectory=debian/build --buildsystem=autoconf $(DH_ADDONS)
 
 override_dh_auto_configure: debian/config-python-stamp $(PY3VERS:%=debian/config-python3-%-stamp)
 debian/config-python-stamp:
 	dh_testdir
+	# Detect at runtime the user with UID 42
+	cp -f auparse/test/auparse_test.ref auparse/test/auparse_test.ref.orig
+	sed -e "s/gdm/${UID42}/" auparse/test/auparse_test.ref.orig > auparse/test/auparse_test.ref
+	cp -f auparse/test/auparse_test.ref.py auparse/test/auparse_test.ref.py.orig
+	sed -e "s/gdm/${UID42}/" auparse/test/auparse_test.ref.py.orig > auparse/test/auparse_test.ref.py
+
 # We should also have "--with-golang" but it's not available in all arch and
 # the golang binding package is arch:all anyway.
 	dh_auto_configure -- \
@@ -55,6 +63,8 @@
 	touch $@
 
 override_dh_auto_clean:
+	mv -f auparse/test/auparse_test.ref.orig auparse/test/auparse_test.py || true
+	mv -f auparse/test/auparse_test.ref.py.orig auparse/test/auparse_test.ref.py || true
 	$(RM) debian/*-stamp
 	dh_auto_clean

## audit 4.0.2

=== debian/changelog ===
audit (1:4.0.2-2ubuntu2) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 19:49:23 +0000

audit (1:4.0.2-2ubuntu1) plucky; urgency=medium

  * Merge with Debian; remaining changes:
    - Ignore test results for now, the fail in Debian same way
      on mips64el and riscv64.
    - Mark one test as flaky, the Python api changed.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 15 Nov 2024 18:29:42 +0100

audit (1:4.0.2-2) unstable; urgency=medium

  * debian/rules: Fix the building of the python module for the non default
    version (Closes: #1087473)

 -- Laurent Bigonville <bigon@debian.org>  Thu, 14 Nov 2024 22:10:09 +0100

audit (1:4.0.2-1) unstable; urgency=medium

  * New upstream version 4.0.2
    - Drop d/p/0005-Do-not-try-to-override-the-value-of-the-PYTHON-varia.patch,
      applied upstream

 -- Laurent Bigonville <bigon@debian.org>  Mon, 11 Nov 2024 23:19:00 +0100

audit (1:4.0.1-1ubuntu2) oracular; urgency=medium

  * No-change rebuild to disable frame pointers on ppc64el and s390x.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 02 Oct 2024 13:14:48 +0200

audit (1:4.0.1-1ubuntu1) oracular; urgency=medium

  * Ignore test results for now, the fail in Debian same way
    on mips64el and riscv64
  * Mark one test as flaky, the Python api changed

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 13 Aug 2024 09:04:24 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: audit
 Priority: optional
 Maintainer: Laurent Bigonville <bigon@debian.org>
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
                dh-python <!nopython>,
 #               dh-golang,
                dpkg-dev (>= 1.16.1~),
@@ -16,7 +16,7 @@
                libpython3-all-dev <!nopython>,
                swig
 Build-Depends-Indep: golang-any
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Section: libs
 Homepage: https://people.redhat.com/sgrubb/audit/
 Vcs-Git: https://salsa.debian.org/debian/audit.git
@@ -27,7 +27,7 @@
 Section: admin
 Architecture: linux-any
 Depends: libaudit1 (= ${binary:Version}),
-         libauparse0 (= ${binary:Version}),
+         libauparse0t64 (= ${binary:Version}),
          mawk | gawk,
          ${misc:Depends},
          ${shlibs:Depends}
@@ -41,7 +41,10 @@
  .
  Also contains the audit dispatcher "audisp".
 
-Package: libauparse0
+Package: libauparse0t64
+Provides: ${t64:Provides}
+Replaces: libauparse0
+Breaks: libauparse0 (<< ${source:Version})
 Architecture: linux-any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: libaudit1 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
@@ -51,14 +54,14 @@
  applications to use the audit framework. It is used to monitor systems for
  security related events.
  .
- This package contains the libauparse0 library.
+ This package contains the libauparse0t64 library.
 
 Package: libauparse-dev
 Section: libdevel
 Architecture: linux-any
-Depends: libauparse0 (= ${binary:Version}), ${misc:Depends}
+Depends: libauparse0t64 (= ${binary:Version}), ${misc:Depends}
 Multi-Arch: same
-Description: Header files and static library for the libauparse0 library
+Description: Header files and static library for the libauparse0t64 library
  The audit-libs parse package contains the dynamic libraries needed for
  applications to use the audit framework. It is used to monitor systems for
  security related events.
@@ -101,7 +104,7 @@
 Section: python
 Architecture: linux-any
 Depends: libaudit1 (= ${binary:Version}),
-         libauparse0 (= ${binary:Version}),
+         libauparse0t64 (= ${binary:Version}),
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}
@@ -127,7 +130,7 @@
 Section: admin
 Architecture: linux-any
 Depends: auditd (= ${binary:Version}),
-         libauparse0 (= ${binary:Version}),
+         libauparse0t64 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Build-Profiles: <!pkg.audit.noldap>

=== debian/rules ===
--- 
+++ 
@@ -34,6 +34,9 @@
 
 %:
 	dh $@ --builddirectory=debian/build --buildsystem=autoconf $(DH_ADDONS)
+
+override_dh_auto_test:
+	-dh_auto_test
 
 override_dh_auto_configure: debian/config-python-stamp $(PY3VERS:%=debian/config-python3-%-stamp)
 debian/config-python-stamp:
@@ -74,9 +77,9 @@
 	dh_auto_build
 	touch $@
 debian/build-python3-%-stamp: debian/config-python3-%-stamp debian/build-python-stamp
-	PYTHON=/usr/bin/python$* $(MAKE) -C debian/build/bindings/swig3.$*/python3   py3execdir=/usr/lib/python$*/dist-packages \
+	PYTHON=/usr/bin/python$* $(MAKE) -C debian/build/bindings/swig3.$*/python3   pyexecdir=/usr/lib/python$*/dist-packages \
 	    PYTHON3_CFLAGS="$(shell python$*-config --cflags 2> /dev/null)" PYTHON3_LIBS="$(shell python$*-config --libs 2> /dev/null)" PYTHON3_INCLUDES="$(shell python$*-config --includes 2> /dev/null)"
-	PYTHON=/usr/bin/python$* $(MAKE) -C debian/build/bindings/python3.$*/python3 py3execdir=/usr/lib/python$*/dist-packages \
+	PYTHON=/usr/bin/python$* $(MAKE) -C debian/build/bindings/python3.$*/python3 pyexecdir=/usr/lib/python$*/dist-packages \
 	    PYTHON3_CFLAGS="$(shell python$*-config --cflags 2> /dev/null)" PYTHON3_LIBS="$(shell python$*-config --libs 2> /dev/null)" PYTHON3_INCLUDES="$(shell python$*-config --includes 2> /dev/null)"
 	touch $@
 
@@ -85,9 +88,9 @@
 	dh_auto_install --sourcedir=debian/build --destdir=debian/tmp
 	touch $@
 debian/install-python3-%-stamp: debian/build-python3-%-stamp debian/install-python-stamp
-	PYTHON=/usr/bin/python$* $(MAKE) -C debian/build/bindings/swig3.$*/python3   py3execdir=/usr/lib/python$*/dist-packages DESTDIR=$(CURDIR)/debian/tmp install \
+	PYTHON=/usr/bin/python$* $(MAKE) -C debian/build/bindings/swig3.$*/python3   pyexecdir=/usr/lib/python$*/dist-packages DESTDIR=$(CURDIR)/debian/tmp install \
 	    PYTHON3_CFLAGS="$(shell python$*-config --cflags 2> /dev/null)" PYTHON3_LIBS="$(shell python$*-config --libs 2> /dev/null)" PYTHON3_INCLUDES="$(shell python$*-config --includes 2> /dev/null)"
-	PYTHON=/usr/bin/python$* $(MAKE) -C debian/build/bindings/python3.$*/python3 py3execdir=/usr/lib/python$*/dist-packages DESTDIR=$(CURDIR)/debian/tmp install \
+	PYTHON=/usr/bin/python$* $(MAKE) -C debian/build/bindings/python3.$*/python3 pyexecdir=/usr/lib/python$*/dist-packages DESTDIR=$(CURDIR)/debian/tmp install \
 	    PYTHON3_CFLAGS="$(shell python$*-config --cflags 2> /dev/null)" PYTHON3_LIBS="$(shell python$*-config --libs 2> /dev/null)" PYTHON3_INCLUDES="$(shell python$*-config --includes 2> /dev/null)"
 	touch $@
 override_dh_auto_install: debian/install-python-stamp $(PY3VERS:%=debian/install-python3-%-stamp)

=== debian/tests/control ===
Test-Command: set -e ; for py in $(py3versions -s 2>/dev/null) ; do cd "$AUTOPKGTEST_TMP" ; echo "Testing with $py:" ; $py -c "import audit; print(audit)" ; done
Depends: python3-all, python3-audit
Restrictions: allow-stderr, superficial
Features: test-name=python3-audit

Test-Command: set -e ; for py in $(py3versions -s 2>/dev/null) ; do cd "$AUTOPKGTEST_TMP" ; echo "Testing with $py:" ; $py -c "import auparse; print(auparse)" ; done
Depends: python3-all, python3-audit
Restrictions: allow-stderr, superficial
Features: test-name=python3-auparse

# Regression test for bug #954257
Tests: 954257-regression
Depends: python3-all, python3-audit
Restrictions: allow-stderr, superficial, flaky

Tests: libaudit-build
Depends: build-essential, libaudit-dev, pkg-config
Restrictions: allow-stderr, superficial

Tests: libauparse-build
Depends: build-essential, libauparse-dev, pkg-config
Restrictions: allow-stderr, superficial

Tests: libaudit-static-build
Depends: build-essential, libaudit-dev, pkg-config
Restrictions: allow-stderr, superficial

## audit 4.0.5

=== debian/changelog ===
audit (1:4.0.5-1build1) questing; urgency=medium

  * NCR to pick up GCS on arm64

 -- Valentin Haudiquet <valentin.haudiquet@canonical.com>  Thu, 11 Sep 2025 16:16:30 +0200

audit (1:4.0.5-1) unstable; urgency=medium

  * New upstream release
    - debian/patches/01-no-refusemanualstop.patch: Refreshed
    - d/p/0003-syslog-Fix-duplicate-libauparse-and-missing-libaudit.patch:
      Fix FTBFS in syslog plugin
  * debian/watch: Update the URL to use the github tags, the former page is
    not updated anymore
  * Install debianized auditd tmpfiles snippet (Closes: #1065156)
  * debian/auditd.install: Install auditd.cron.5 manpage
  * debian/libaudit1.symbols: Add newly exported symbols
  * debian/copyright: Update the FSF address to please lintian
  * debian/control: Bump Standards-Version to 4.7.2 (no further changes)
  * debian/rules: Enable riscv processor support

 -- Laurent Bigonville <bigon@debian.org>  Mon, 30 Jun 2025 12:54:05 +0200

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                libpython3-all-dev <!nopython>,
                swig
 Build-Depends-Indep: golang-any
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Section: libs
 Homepage: https://people.redhat.com/sgrubb/audit/
 Vcs-Git: https://salsa.debian.org/debian/audit.git

=== debian/rules ===
--- 
+++ 
@@ -35,9 +35,6 @@
 %:
 	dh $@ --builddirectory=debian/build --buildsystem=autoconf $(DH_ADDONS)
 
-override_dh_auto_test:
-	-dh_auto_test
-
 override_dh_auto_configure: debian/config-python-stamp $(PY3VERS:%=debian/config-python3-%-stamp)
 debian/config-python-stamp:
 	dh_testdir
@@ -58,7 +55,7 @@
 		--with-libcap-ng \
 		--with-io_uring \
 		$(CONFIGURE_FLAGS) \
-		--with-arm --with-aarch64 ${EXTRA_ARCH_TABLE}
+		--with-arm --with-aarch64 --with-riscv ${EXTRA_ARCH_TABLE}
 	touch $@
 debian/config-python3-%-stamp: debian/config-python-stamp
 	cp -lpr debian/build/bindings/swig   debian/build/bindings/swig3.$*

## audit 4.1.1

=== debian/changelog ===
audit (1:4.1.1-1~exp1) experimental; urgency=medium

  * New upstream release
    - Drop d/p/0003-syslog-Fix-duplicate-libauparse-and-missing-libaudit.patch,
      applied upstream
    - debian/rules: Remove mangling of the test results, they don't contain
      username anymore, only UID
  * debian/libauparse0t64.lintian-overrides: Drop unused override
  * debian/patches/debian-tmpfiles.patch: Add missing headers
  * d/libaudit-dev.install: Drop set_aumessage_mode.3 manpage, the function is
    now private.  Also drop the symbol from libaudit1.symbols file
  * Install bash completion for audit executables
  * Create new packages for new libauplugin library
  * debian/libauparse0t64.symbols: Add audit_msg function
  * debian/control: Rewrite some of the descriptions (Closes: #1040775)

 -- Laurent Bigonville <bigon@debian.org>  Mon, 01 Sep 2025 10:01:06 +0200

=== debian/rules ===
--- 
+++ 
@@ -30,20 +30,12 @@
   CONFIGURE_FLAGS += --disable-listener
 endif
 
-UID42 = $(shell LC_ALL=C id -un 42 2>/dev/null || echo 'unknown\(42\)')
-
 %:
 	dh $@ --builddirectory=debian/build --buildsystem=autoconf $(DH_ADDONS)
 
 override_dh_auto_configure: debian/config-python-stamp $(PY3VERS:%=debian/config-python3-%-stamp)
 debian/config-python-stamp:
 	dh_testdir
-	# Detect at runtime the user with UID 42
-	cp -f auparse/test/auparse_test.ref auparse/test/auparse_test.ref.orig
-	sed -e "s/gdm/${UID42}/" auparse/test/auparse_test.ref.orig > auparse/test/auparse_test.ref
-	cp -f auparse/test/auparse_test.ref.py auparse/test/auparse_test.ref.py.orig
-	sed -e "s/gdm/${UID42}/" auparse/test/auparse_test.ref.py.orig > auparse/test/auparse_test.ref.py
-
 # We should also have "--with-golang" but it's not available in all arch and
 # the golang binding package is arch:all anyway.
 	dh_auto_configure -- \
@@ -63,8 +55,6 @@
 	touch $@
 
 override_dh_auto_clean:
-	mv -f auparse/test/auparse_test.ref.orig auparse/test/auparse_test.py || true
-	mv -f auparse/test/auparse_test.ref.py.orig auparse/test/auparse_test.ref.py || true
 	$(RM) debian/*-stamp
 	dh_auto_clean

## audit 4.1.2

=== contrib/libauplugin/Makefile ===
CFLAGS=-g -W -Wall -Wundef 
LIBS= -lauplugin -lauparse -laudit
all:
	gcc $(CFLAGS) auplugin-example.c -o auplugin-example $(LIBS)

clean:
	rm -f auplugin-example *.o

=== contrib/plugin/Makefile ===
CFLAGS=-g -W -Wall -Wundef
LIBS= -lauparse -laudit
all:
	gcc $(CFLAGS) audisp-example.c -o audisp-example $(LIBS)

clean:
	rm -f audisp-example *.o

=== debian/changelog ===
audit (1:4.1.2-1) unstable; urgency=medium

  * New upstream release
    - Adjust the .symbols files

 -- Laurent Bigonville <bigon@debian.org>  Wed, 17 Sep 2025 09:15:56 +0200

audit (1:4.1.1-1) unstable; urgency=medium

  * New upstream release
    - Drop d/p/0003-syslog-Fix-duplicate-libauparse-and-missing-libaudit.patch,
      applied upstream
    - debian/rules: Remove mangling of the test results, they don't contain
      username anymore, only UID
  * debian/libauparse0t64.lintian-overrides: Drop unused override
  * debian/patches/debian-tmpfiles.patch: Add missing headers
  * d/libaudit-dev.install: Drop set_aumessage_mode.3 manpage, the function is
    now private. Also drop the symbol from libaudit1.symbols file
  * Install bash completion for audit executables
  * Create new packages for new libauplugin library
  * debian/libauparse0t64.symbols: Add audit_msg function
  * debian/control: Rewrite some of the descriptions (Closes: #1040775)

 -- Laurent Bigonville <bigon@debian.org>  Sat, 06 Sep 2025 08:17:39 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,12 @@
 Source: audit
 Priority: optional
 Maintainer: Laurent Bigonville <bigon@debian.org>
-Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
+               dh-exec,
                dh-python <!nopython>,
 #               dh-golang,
                dpkg-dev (>= 1.16.1~),
+               dpkg-dev (>= 1.22.5),
                libcap-ng-dev,
 # audit sources embed their own patched version of libev
 #               libev-dev,
@@ -35,9 +37,8 @@
 Breaks: audispd-plugins (<< 1:3.0~)
 Pre-Depends: ${misc:Pre-Depends}
 Description: User space tools for security auditing
- The audit package contains the user space utilities for
- storing and searching the audit records generated by
- the audit subsystem in the Linux 2.6 kernel.
+ This package contains the user space utilities for storing and searching the
+ audit records generated by the audit subsystem in the Linux kernel.
  .
  Also contains the audit dispatcher "audisp".
 
@@ -50,9 +51,8 @@
 Depends: libaudit1 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: same
 Description: Dynamic library for parsing security auditing
- The libauparse package contains the dynamic libraries needed for
- applications to use the audit framework. It is used to monitor systems for
- security related events.
+ This package contains the dynamic libraries needed for applications to use the
+ audit framework. It is used to monitor systems for security related events.
  .
  This package contains the libauparse0t64 library.
 
@@ -62,9 +62,8 @@
 Depends: libauparse0t64 (= ${binary:Version}), ${misc:Depends}
 Multi-Arch: same
 Description: Header files and static library for the libauparse0t64 library
- The audit-libs parse package contains the dynamic libraries needed for
- applications to use the audit framework. It is used to monitor systems for
- security related events.
+ This package contains the static libraries and header files needed for
+ parsing security events.
 
 Package: libaudit1
 Architecture: linux-any
@@ -74,21 +73,16 @@
          ${shlibs:Depends}
 Multi-Arch: same
 Description: Dynamic library for security auditing
- The audit-libs package contains the dynamic libraries needed for
- applications to use the audit framework. It is used to monitor systems for
- security related events.
+ This package contains the dynamic libraries needed for applications to use the
+ audit framework. It is used to monitor systems for security related events.
 
 Package: libaudit-common
 Architecture: all
 Depends: ${misc:Depends}
 Multi-Arch: foreign
 Description: Dynamic library for security auditing - common files
- The audit-libs package contains the dynamic libraries needed for
- applications to use the audit framework. It is used to monitor systems for
- security related events.
- .
- This package contains the libaudit.conf configuration file and the associated
- manpage.
+ This package contains the libaudit.conf configuration file needed by libaudit
+ and the associated manpage.
 
 Package: libaudit-dev
 Section: libdevel
@@ -96,9 +90,8 @@
 Depends: libaudit1 (= ${binary:Version}), libcap-ng-dev, ${misc:Depends}
 Multi-Arch: same
 Description: Header files and static library for security auditing
- The audit-libs-devel package contains the static libraries and header
- files needed for developing applications that need to use the audit
- framework libraries.
+ This package contains the static libraries and header files needed for
+ developing applications that need to use the audit framework libraries.
 
 Package: python3-audit
 Section: python
@@ -135,7 +128,23 @@
          ${shlibs:Depends}
 Build-Profiles: <!pkg.audit.noldap>
 Description: Plugins for the audit event dispatcher
- The audispd-plugins package provides plugins for the real-time
- interface to the audit system, audispd. These plugins can do things
- like relay events to remote machines or analyze events for suspicious
- behavior.
+ This package provides plugins for the real-time interface to the audit system,
+ audispd. These plugins can do things like relay events to remote machines or
+ analyze events for suspicious behavior.
+
+Package: libauplugin1
+Architecture: linux-any
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Multi-Arch: same
+Description: Dynamic library for auditd plugins
+ This package contains the dynamic libraries needed for the auditd plugins.
+
+Package: libauplugin-dev
+Section: libdevel
+Architecture: linux-any
+Depends: libauplugin1 (= ${binary:Version}), ${misc:Depends}
+Multi-Arch: same
+Description: Header files and static library for auditd plugins
+ This package contains the static libraries and header files needed for
+ developing auditd plugins.

=== debian/tests/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 # Regression test for bug #954257
 Tests: 954257-regression
 Depends: python3-all, python3-audit
-Restrictions: allow-stderr, superficial, flaky
+Restrictions: allow-stderr, superficial
 
 Tests: libaudit-build
 Depends: build-essential, libaudit-dev, pkg-config

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
    https://github.com/linux-audit/audit-userspace/tags \
    (?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@

## audit trail

=== Makefile ===
subdir = contrib/audit_trail
top_builddir = ../..
include $(top_builddir)/src/Makefile.global

MODULES = audit_trail
DATA_built = audit_trail.sql
DOCS = README.audit_trail

include $(top_srcdir)/contrib/contrib-global.mk
